com.google.gwt.event.dom.client

## Class LoadedMetadataEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.google.gwt.event.dom.client.DomEvent<LoadedMetadataHandler>
      - - com.google.gwt.event.dom.client.LoadedMetadataEvent

All Implemented Interfaces:
  HasNativeEvent

    public class LoadedMetadataEvent
    extends DomEvent<LoadedMetadataHandler>

Represents a native loadedmetadata event.

Experimental API: This API is still under development and is subject to change.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent

`DomEvent.Type<H extends EventHandler>`

### Constructor Summary

Constructors
`protected` `LoadedMetadataEvent()` Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire media loadedmetadata events.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `dispatch(LoadedMetadataHandler handler)` Should only be called by `HandlerManager`.
`DomEvent.Type<LoadedMetadataHandler>` `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`static DomEvent.Type<LoadedMetadataHandler>` `getType()` Gets the event type associated with media loadedmetadata events.

### Methods inherited from class com.google.gwt.event.dom.client.DomEvent

`fireNativeEvent, fireNativeEvent, getNativeEvent, getRelativeElement, init, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

### Methods inherited from class com.google.gwt.event.shared.GwtEvent

`assertLive, getSource, isLive, kill, revive`

### Methods inherited from class com.google.web.bindery.event.shared.Event

`setSource, toDebugString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LoadedMetadataEvent

    protected LoadedMetadataEvent()

Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire media loadedmetadata events.

### Method Detail

#### getType

    public static DomEvent.Type<LoadedMetadataHandler> getType()

Gets the event type associated with media loadedmetadata events.

Returns:
  the handler type

#### getAssociatedType

    public final DomEvent.Type<LoadedMetadataHandler> getAssociatedType()

Description copied from class: `Event`
Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

Specified by:
  `getAssociatedType` in class `DomEvent<LoadedMetadataHandler>`
Returns:
  the type

#### dispatch

    protected void dispatch(LoadedMetadataHandler handler)

Description copied from class: `GwtEvent`
Should only be called by `HandlerManager`. In other words, do not use or call.

Specified by:
  `dispatch` in class `GwtEvent<LoadedMetadataHandler>`
Parameters:
  `handler` - handler
See Also:
  `EventBus.dispatchEvent(Event, Object)`